Package Gnumed :: Package business :: Module gmPraxis :: Class cPraxisBranch |
[frames] | no frames]

# Class cPraxisBranch

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cPraxisBranch

Represents a praxis branch

Instance Methods
format(self) | source code
lock(self, exclusive=False) | source code
unlock(self, exclusive=False) | source code
get_comm_channels(self, comm_medium=None) | source code
get_external_ids(self, id_type=None, issuer=None) | source code
get_distance2address_url(self, address) | source code
export_as_mecard(self, filename=None) | source code
MECARD(self) http://blog.thenetimpact.com/2011/07/decoding-qr-codes-how-to-format-data-for-qr-code-generators/ https://www.nttdocomo.co.jp/english/service/developer/make/content/barcode/function/application/addressbook/index.html | source code
scan2pay_data(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| org_unit = `property(_get_org_unit, lambda x: x)`
| organization = `property(_get_org, lambda x: x)`
| address = `property(_get_address, lambda x: x)`
| vcf = `property(_get_vcf, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### format(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

### MECARD(self) | source code
http://blog.thenetimpact.com/2011/07/decoding-qr-codes-how-to-format-data-for-qr-code-generators/ https://www.nttdocomo.co.jp/english/service/developer/make/content/barcode/function/application/addressbook/index.html MECARD:N:NAME;ADR:pobox,subunit,unit,street,ort,region,zip,country;TEL:111111111;FAX:22222222;EMAIL:mail@praxis.org; MECARD:N:$<praxis::%(praxis)s, %(branch)s::>$;ADR:$<praxis_address::,%(subunit)s,%(number)s,%(street)s,%(urb)s,,%(postcode)s,%(l10n_country)s::>$;TEL:$<praxis_comm::workphone::>$;FAX:$<praxis_comm::fax::>$;EMAIL:$<praxis_comm::email::60>$;